import { Base, Point, Type, INotifyPropertyChanged, PropertyChangedEventArgs } from "./type";
import { DomRenderer, DomWrapper } from "./dom";
import { IExecutionContext } from "./IExecutionContext";
import { CanvasGestureDOMEventProxy } from "./CanvasGestureDOMEventProxy";
import { Brush } from "./Brush";
import { Key } from "./Key";
import { DoubleAnimator } from "./DoubleAnimator";
import { ScrollbarStyle } from "./ScrollbarStyle";
import { IScrollerKeyboardListener } from "./IScrollerKeyboardListener";
import { ScrollerScrollingEventArgs } from "./ScrollerScrollingEventArgs";
/**
 * @hidden
 */
export declare class ScrollerView extends Base {
    static $t: Type;
    constructor(a: Scroller);
    c: Scroller;
    protected ad: DomRenderer;
    protected ah: DomWrapper;
    protected b: IExecutionContext;
    a6(): Brush;
    protected ac: HTMLDivElement;
    protected a: CanvasGestureDOMEventProxy;
    ag: DomWrapper;
    ae: DomWrapper;
    af: DomWrapper;
    ai: DomWrapper;
    ay(a: any): void;
    private k;
    private r;
    private ak;
    private al;
    private am;
    private p;
    private q;
    private n;
    private o;
    private e;
    private j;
    aw(a: number): void;
    ax(a: number): void;
    au(a: number): void;
    av(a: number): void;
    aj(): void;
    private an;
    private ao;
    a4(a: number): void;
    private ap;
    z(): number;
    aa(): number;
    private l;
    private m;
    private aq;
    a3(a: number): void;
    az(a: any): void;
    private d;
    a0(a: () => void): void;
    private i;
    private h;
    private w;
    private t;
    private x;
    private u;
    private g;
    private f;
    private v;
    private s;
    at(): void;
    as(): void;
    a5(a: number, b: number): void;
    a1(a: number, b: number): void;
    a2(a: boolean): void;
    private y;
    private ab;
    ar(): void;
}
/**
 * @hidden
 */
export declare class Scroller extends Base implements INotifyPropertyChanged {
    static $t: Type;
    constructor();
    private a8;
    smallVerticalChange: number;
    private _keyboardListener;
    keyboardListener: IScrollerKeyboardListener;
    private a0;
    largeVerticalChange: number;
    private au;
    bh: number;
    private as;
    bf: number;
    private a7;
    smallHorizontalChange: number;
    private az;
    largeHorizontalChange: number;
    private at;
    bg: number;
    private ar;
    be: number;
    private ax;
    contentWidth: number;
    private a1;
    minScrollbarSize: number;
    private a4;
    scrollbarSpan: number;
    ah(a: Key, b: boolean, c: boolean): boolean;
    private an;
    private af;
    private ag;
    private am;
    private ai;
    private ao;
    private ae;
    private al;
    private ak;
    private ba;
    verticalTrackStartInset: number;
    private dl;
    scrollbarBrush: Brush;
    private c5;
    private v;
    private ap;
    protected c8(a: string, b: any, c: any): void;
    private aw;
    contentHeight: number;
    c6(a: number): void;
    c4(a: number): void;
    c7(a: number, b: number): void;
    private bc;
    viewportWidth: number;
    private bb;
    viewportHeight: number;
    private a6;
    scrollTop: number;
    private a5;
    scrollLeft: number;
    private f;
    readonly view: ScrollerView;
    provideContainer(a: any): void;
    provideContent(a: any): void;
    aj(a: Point, b: number, c: number): boolean;
    private t;
    lockScrollDirection: boolean;
    y: boolean;
    private av;
    actualVerticalScrollbarHeight: number;
    private aq;
    actualHorizontalScrollbarWidth: number;
    private c;
    scrollbarStyle: ScrollbarStyle;
    private ay;
    horizontalScrollbarStatus: number;
    private a9;
    verticalScrollbarStatus: number;
    private h;
    readonly horizontalAnimation: DoubleAnimator;
    private i;
    readonly verticalAnimation: DoubleAnimator;
    private bl;
    private bw;
    private bm;
    private bx;
    private _executionContext;
    executionContext: IExecutionContext;
    readonly isVerticalActive: boolean;
    readonly isHorizontalActive: boolean;
    private _isDraggingVBar;
    isDraggingVBar: boolean;
    private _isDraggingHBar;
    isDraggingHBar: boolean;
    private q;
    private o;
    private p;
    private dn;
    private n;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    focus(): void;
    c3(a: Point): void;
    c2(a: Point): void;
    onScrolling: (sender: any, args: ScrollerScrollingEventArgs) => void;
    scrollTo(a: number, b: number): void;
    private a2;
    private a3;
    private dc;
    private dd;
    private u;
    private db;
    private dh;
    private dk;
    private di;
    private dj;
    c1(a: Point): void;
    private cs;
    private ct;
    cu(): void;
    cv(): void;
    cy(): void;
    cz(): void;
    private b2;
    private b3;
    private b4;
    private m;
    private x;
    private l;
    private w;
    private r;
    private s;
    private df;
    private dg;
    private cw;
    private cx;
}
